org.eclipse.wst.jsdt.js.node.runtime

## Class NodeJsRunner

- java.lang.Object
- - org.eclipse.wst.jsdt.js.node.runtime.NodeJsRunner

All Implemented Interfaces:
  org.eclipse.wst.jsdt.core.runtime.IJSRunner

    public class NodeJsRunner
    extends java.lang.Object
    implements org.eclipse.wst.jsdt.core.runtime.IJSRunner

### Constructor Summary

Constructors
Constructor and Description
`NodeJsRunner(org.eclipse.wst.jsdt.core.runtime.IJSRuntimeInstall jsRuntimeInstall)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.lang.String[]` `combineRuntimeArgs(org.eclipse.wst.jsdt.core.runtime.JSRunnerConfiguration configuration, org.eclipse.wst.jsdt.core.runtime.IJSRuntimeInstall jsRuntimeInstall2)`
`IProcess` `run(org.eclipse.wst.jsdt.core.runtime.JSRunnerConfiguration configuration, ILaunch launch, IProgressMonitor monitor)` Launches a JavaScript runtime environment as specified in the given configuration, contributing results (debug targets and processes), to the given launch.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NodeJsRunner

    public NodeJsRunner(org.eclipse.wst.jsdt.core.runtime.IJSRuntimeInstall jsRuntimeInstall)

### Method Detail

#### run

    public IProcess run(org.eclipse.wst.jsdt.core.runtime.JSRunnerConfiguration configuration,
                        ILaunch launch,
                        IProgressMonitor monitor)
                 throws CoreException

Description copied from interface: `org.eclipse.wst.jsdt.core.runtime.IJSRunner`
Launches a JavaScript runtime environment as specified in the given configuration, contributing results (debug targets and processes), to the given launch.

Specified by:
  `run` in interface `org.eclipse.wst.jsdt.core.runtime.IJSRunner`
Parameters:
  `configuration` - the configuration settings for this run
  `launch` - the launch to contribute to
  `monitor` - progress monitor or `null`
Returns:
  IProcess a reference to the IProcess coming after launching the configuration
Throws:
  `CoreException` - if an exception occurs while launching

#### combineRuntimeArgs

    protected java.lang.String[] combineRuntimeArgs(org.eclipse.wst.jsdt.core.runtime.JSRunnerConfiguration configuration,
                                                    org.eclipse.wst.jsdt.core.runtime.IJSRuntimeInstall jsRuntimeInstall2)